Subject: Re: git-svn capabilities

From: Adam Roben <[email-masked]>
Date: Sun, 09 Dec 2007 00:37:51 -0800

Pedro Melo wrote:
> Hi,
>
> I've been following along the gcc/git thread with interest and I've 
> used Harvey Harrison recipe
>
> http://article.gmane.org/gmane.comp.version-control.git/67253
>
> with success on several svn repos.
>
> One thing that I'm not sure yet if it is possible to do is this:
>
> can I have a single central git repo that tracks the svn repo, allow 
> several developers to use clone to copy that repo, and each one of 
> them (after proper manual configuration) uses dcommit to push back to 
> svn?
>
> All the recipes so far assume that each developer has to go through 
> the initial git-svn fetch and have a copy of the entire SVN repo, and 
> that seems wasteful to me.

The "Basic Examples" section of the git-svn man page describe how to do 
just that (though only for a single branch).

-Adam